import React, { useEffect, useState } from 'react'
import axios from 'axios'
import { Link, useNavigate } from 'react-router-dom'
import { API_BASE_URL } from '../config'


const TagSearch: React.FC = () => {
  const navigate = useNavigate ()

  const [search, setSearch] = useState ('')

  const handleKeyDown = (e: React.KeyboardEvent<HTMLInputElement>) => {
    if (e.key === 'Enter' && search.length > 0)
      navigate (`/posts?${ (new URLSearchParams ({ tags: search })).toString () }`,
                { replace: true })
  }

  return (
    <input
      type="text"
      placeholder="タグ検索..."
      value={search}
      onChange={e => setSearch (e.target.value)}
      onKeyDown={handleKeyDown}
      className="w-full px-3 py-2 mb-4 border rounded"
    />
  )
}

export default TagSearch
